kernel-libipsec: Don't ignore policies of type != POLICY_IPSEC